# Retrieve a particular version of a request rule Retrieves a request rule version. Endpoint: GET /v3/request-rules/{id}/versions/{versionId} Version: 2026-01-08 Security: ZephrHmacHttp ## Path parameters: - `id` (string, required) Unique Request Rule identifier - `versionId` (integer, required) Unique Request Rule version number ## Response 200 fields (application/json): - `label` (string) Example: "Test" - `description` (string) Example: "This rule tests for authenticated users" - `priority` (integer) Example: 1 - `version` (number) Example: 1 - `last_updated` (string) Example: "2011-11-11T11:11:11.000" - `conditions` (object) - `conditions.url_pattern` (string) Example: "^/forum" - `conditions.method` (string) Example: "GET" - `lastUpdatedAt` (string) Example: "2022-06-01 00:00:00" - `requirements_script` (string) Example: "return []" - `action_script` (string) Example: "return \"this is a test\"" - `script_type` (string) Example: "javascript" - `graph_state` (string) Example: "{\"property1\": \"value1\"}" - `editing_mode` (string) Example: "manual"